package com.inkasso.factoring.financingmanagement.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.adapter.bean.BaseBean;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @Description : 额度支用信息
 * @Author : L.Jia
 * @Date: 2023-12-18 21:02
 */
@TableName("review_quota_disburse")
public class ReviewQuotaDisburse extends BaseBean {

    /**
     * 融资申请基础信息Id
     */
    @TableField("c_financing_basic_info_id")
    private Long financingBasicInfoId;

    /**
     * 审批结论
     */
    @TableField("approval_conclusion")
    private String approvalConclusion;

    /**
     * 审批意见
     */
    @TableField("approval_comments")
    private String approvalComments;

    /**
     * 业务编号
     */
    @TableField("business_number")
    private String businessNumber;

    /**
     * 支用批次
     */
    @TableField("quota_disburse_batch")
    private Integer quotaDisburseBatch;

    /**
     * 业务综合授信余额
     */
    @TableField("business_credit_balance")
    private BigDecimal businessCreditBalance;

    /**
     * 供应商授信余额
     */
    @TableField("supplier_credit_balance")
    private BigDecimal supplierCreditBalance;

    /**
     * 应收账款起始日
     */
    @TableField("start_date")
    private Date startDate;

    /**
     * 应收账款期限
     */
    @TableField("term")
    private Integer term;

    /**
     * 应收账款到期日
     */
    @TableField("end_date")
    private Date endDate;

    /**
     * 应收账款净额总计
     **/
    @TableField("accounts_receivable_net_amount_total")
    private BigDecimal accountsReceivableNetAmountTotal;

    /**
     * 账户上报方式 1:A类，0:B类
     */
    @TableField("report_method")
    private Integer reportMethod;

    /**
     * 有无相关还款责任人:0无、1有
     **/
    @TableField("is_resp_repay")
    private Boolean respRepay;

    /**
     * 有无抵质押:0无、1有
     **/
    @TableField("is_mortgage_info")
    private Boolean mortgageInfo;

    /**
     * 预期Irr(字符串)
     */
    @TableField(exist = false)
    private String planIrrStr;

    /**
     * 预期Irr
     */
    @TableField("plan_irr")
    private BigDecimal planIrr;

    public Long getFinancingBasicInfoId() {
        return financingBasicInfoId;
    }

    public void setFinancingBasicInfoId(Long financingBasicInfoId) {
        this.financingBasicInfoId = financingBasicInfoId;
    }

    public String getApprovalConclusion() {
        return approvalConclusion;
    }

    public void setApprovalConclusion(String approvalConclusion) {
        this.approvalConclusion = approvalConclusion;
    }

    public String getApprovalComments() {
        return approvalComments;
    }

    public void setApprovalComments(String approvalComments) {
        this.approvalComments = approvalComments;
    }

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public Integer getQuotaDisburseBatch() {
        return quotaDisburseBatch;
    }

    public void setQuotaDisburseBatch(Integer quotaDisburseBatch) {
        this.quotaDisburseBatch = quotaDisburseBatch;
    }

    public BigDecimal getBusinessCreditBalance() {
        return businessCreditBalance;
    }

    public void setBusinessCreditBalance(BigDecimal businessCreditBalance) {
        this.businessCreditBalance = businessCreditBalance;
    }

    public BigDecimal getSupplierCreditBalance() {
        return supplierCreditBalance;
    }

    public void setSupplierCreditBalance(BigDecimal supplierCreditBalance) {
        this.supplierCreditBalance = supplierCreditBalance;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Integer getTerm() {
        return term;
    }

    public void setTerm(Integer term) {
        this.term = term;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public BigDecimal getAccountsReceivableNetAmountTotal() {
        return accountsReceivableNetAmountTotal;
    }

    public void setAccountsReceivableNetAmountTotal(BigDecimal accountsReceivableNetAmountTotal) {
        this.accountsReceivableNetAmountTotal = accountsReceivableNetAmountTotal;
    }

    public Integer getReportMethod() {
        return reportMethod;
    }

    public void setReportMethod(Integer reportMethod) {
        this.reportMethod = reportMethod;
    }

    public Boolean getRespRepay() {
        return respRepay;
    }

    public void setRespRepay(Boolean respRepay) {
        this.respRepay = respRepay;
    }

    public Boolean getMortgageInfo() {
        return mortgageInfo;
    }

    public void setMortgageInfo(Boolean mortgageInfo) {
        this.mortgageInfo = mortgageInfo;
    }

    public String getPlanIrrStr() {
        return planIrrStr;
    }

    public void setPlanIrrStr(String planIrrStr) {
        this.planIrrStr = planIrrStr;
    }

    public BigDecimal getPlanIrr() {
        return planIrr;
    }

    public void setPlanIrr(BigDecimal planIrr) {
        this.planIrr = planIrr;
    }
}
